Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

rubygem-puppet-master-unicorn-3.8.7-17.3.1 RPM for noarch

From OpenSuSE leap updates for 42.2-test / noarch

Name: rubygem-puppet-master-unicorn Distribution: openSUSE Leap 42.2
Version: 3.8.7 Vendor: openSUSE
Release: 17.3.1 Build date: Sat Jul 15 10:51:32 2017
Group: Productivity/Networking/System Build host: cloud114
Size: 900 Source RPM: rubygem-puppet-3.8.7-17.3.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/puppetlabs/puppet
Summary: Unicorn files for puppetmaster
Unicorn config and systemd files for puppetmaster

Provides

Requires

License

Apache-2.0

Changelog

* Fri Jun 23 2017 kstreitova@suse.com
  - add puppet-CVE-2017-2295.patch to fix a security vulnerability
    where an attacker could force YAML deserialization in an unsafe
    manner, which would lead to remote code execution
    [bsc#1040151], [CVE-2017-2295]
* Tue Aug 16 2016 tampakrap@opensuse.org
  - set the perms of the unicorn.conf to 644
* Wed Aug 03 2016 tampakrap@opensuse.org
  - Replace the greps with fillup-template to update the sysconfig files.
    Fixes properly boo#916005
* Fri Jul 29 2016 jengelh@inai.de
  - Run fdupes over practically everything that was installed,
    fixing "files-duplicate /usr/lib64/ruby/gems/2.2.0/doc/
    /puppet-3.8.7/ri/Puppet/Pops/Types/TypeFactory/any-c.ri" etc.
* Mon Jul 25 2016 tampakrap@opensuse.org
  - Update to 3.8.7:
    https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-386
    https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-387
  - Add -master-unicorn subpackage with unicorn systemd unit file and config
* Mon Apr 11 2016 kstreitova@suse.com
  - add puppet-non_ASCII_user_comment.patch to fix non-ASCII
    user comment with ruby >= 2.1 [bnc#971223]
* Fri Jan 22 2016 kstreitova@suse.com
  - Update to 3.8.5
    https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-385
* Wed Dec 02 2015 tampakrap@opensuse.org
  - Do not touch /etc/sysconfig/puppet in systemd environments, boo#916005
* Fri Nov 20 2015 tampakrap@opensuse.org
  - Update to 3.8.4
    https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-383
    https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-384
* Thu Sep 03 2015 robert.munteanu@gmail.com
  - Update to 3.8.2
    * https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-382
    * https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-381
    * https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-380
* Wed Sep 02 2015 robert.munteanu@gmail.com
  - Added puppet-systemd-default-on-new-suse.patch, rebased from the
    master branch, that uses the systemd provider on a SuSE variants
    with version >= 12 ( boo#931703 )
* Thu May 28 2015 dgutu@suse.com
  - Updated the change file
* Thu May 14 2015 tampakrap@opensuse.org
  - Add puppet-ruby-2_2.patch that fixes the ruby 2.2 support
* Tue May 12 2015 tampakrap@opensuse.org
  - Re-run g2r
  - Fix the systemd patch to actually apply
  - Remove the ext/{debian,gentoo} dirs for all ruby versions
* Mon May 11 2015 tampakrap@opensuse.org
  - Update to 3.7.5
    * https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html#puppet-374
    * https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html#puppet-375
  - Add upstream patch puppet-zypper-lu.patch to cache the output of zypper list-updates
    https://tickets.puppetlabs.com/browse/PUP-3968
  - Add upstream patch puppet-systemd-default.patch to make systemd default on SLE12 and openSUSE >12.x
    https://tickets.puppetlabs.com/browse/PUP-3338
  - Add runtime dependency on tar, needed by the "puppet module" command to
    unpack tarballs that it fetches from the forge
* Wed Jan 21 2015 tampakrap@opensuse.org
  - Replace rubygem(augeas) with rubygem(ruby-augeas), since the former is not working with puppet, boo#911083
* Thu Dec 11 2014 tampakrap@opensuse.org
  - Install the master-related sample config files with puppetmaster package
* Tue Dec 02 2014 tampakrap@opensuse.org
  - Switch installation from tarball to gem, using the new packaging schema
  - Rename puppet to rubygem-puppet for the above reason
  - Rename puppet-server to puppet-master / puppetmaster, since PuppetLabs has a
    new product out that is called Puppet Server
  - Install more sample config files (auth.conf, fileserver.conf, tagmail.conf)
  - Add rubygem(ruby-shadow) and rubygem(augeas) as Recommends
  - Separate emacs syntax files to different subpkg
* Sat Nov 08 2014 darin@darins.net
  - update to 3.7.3
    * PUP-3601: Bump facter dependency to 2.3.0
    * PUP-3471: Windows Puppet x86 Installer Expands Environment Variables in Path
    * PUP-3302: Puppet resource broken when directory environments enabled
    * PUP-3500: Adding a setting to puppet.conf that has a :hook handled on define preloads incorrect directory environment settings.
    * PUP-3505: Future parser handling undefâs incorrectly
    * PUP-3514: Future parser not showing line/column for error
    * PUP-3558: Future parser, square brackets in references cause syntax errors related to non-ASCII characters
    * PUP-3602: Do not convert strings that are on the form â0e" to floating point
    * PUP-3555: introduce override-able factory pattern for constructing environment cache entries
    See release notes for update information:
      https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html
    For a full list of bugs fixes see:
      https://tickets.puppetlabs.com/secure/ReleaseNote.jspa?projectId=10102&version=12001
  - remove old .changelog
  - fix invalid arg in init script for SLE
* Tue Oct 28 2014 boris@steki.net
  - updated buildrequires to use rubygem(xxx) syntax as that is correct syntax
* Thu Oct 23 2014 darin@darins.net
  - Update to 3.7.2
    * PUP-3467: Reject SSLv3 connections in Puppet
    * PUP-3345: Puppet Master Memory Leak
    * PUP-643: Solaris pkg package provider does not handle expiring
      certificates
    * PUP-1165: Spurious âtrigger changedâ messages generated by scheduled
      task provider
    * PUP-3203: scheduled_task triggers cannot be updated
    * PUP-3357: Unexpected error with multiple SSH keys without comments
    * PUP-3351: Puppet evaluates classes declared with parameters before
      classes declared without parameters
    * PUP-3258: puppet apply + ENC + 3.7.x: does not read the .pp file
    * PUP-3244: ENC returned environment ignored when using directory environments
    * PUP-3334: Changes to environment.conf are not being picked up, even
      when environment timeout is set to 0.
    * PUP-3363: future parser give weird error in trailing comma after assignment
    * PUP-3366: type system does not handle Enum/String compare correctly
    * PUP-3401: Type system does not handle Pattern correctly
    * PUP-3365: consider not doing deep undef to empty string map in 3xi
      function API
    * PUP-3364: Attempt to use Numeric as title in a Resource type causes
      internal error
    * PUP-3201: Validation thinks that an Undef instance is of type Runtime
    * PUP-3315: Windows agent installer should specify that FQDN is expected
    * PUP-3227: Upgrade conflict: puppetmaster-common and puppet-common
    See release notes for update information:
      https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html
    For a full list of bugs fixes see:
      https://tickets.puppetlabs.com/secure/ReleaseNote.jspa?projectId=10102&version=11925
* Sat Sep 27 2014 tbechtold@suse.com
  - Also create user/group when only installing the puppet client
* Wed Sep 24 2014 darin@darins.net
  - Updated systemd coding style
* Thu Sep 18 2014 darin@darins.net
  - Fix packaging for SLE_11
* Tue Sep 16 2014 darin@darins.net
  - Update to 3.7.1
    * PUP-3222: Windows service provider references a non-existent class
    * PUP-3190: âeachâ no longer supported in Puppet 3.7.0
    * PUP-3191: Symlinks to missing targets cause a File Not Found error
      instead of a warning
    * PUP-3231: Specifying âtags doesnât cause suitability check to be
      skipped for skipped resources
    * PUP-894: Too easy to hit âCRL not yet valid for <host>â
      (and not very informative)
    * PUP-1680: âincorrect header checkâ using Ruby 2
    * PUP-3177: Resource titles ending with square brackets fail
    * PUP-3174: After enabling directory environments the manifestdir
      setting is still required to be valid
    * PUP-3162: Block $environment in directory based environment
      configuration settings
    * PUP-3186: Puppetmaster removes /etc/puppet/environments/production
      if itâs a link rather than a directory
    See release notes for update information:
      https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html
    For a full list of bugs fixes see:
      https://tickets.puppetlabs.com/secure/ReleaseNote.jspa?projectId=10102&version=11854
* Fri Sep 05 2014 darin@darins.net
  - Update to 3.7.0
    * A nearly-final implementation of the Puppet 4 language
    * Preview support for a new, fast, natively compiled Facter
    * 64-bit Puppet packages for Windows
    * Lots of deprecations to prepare for Puppet 4.0
    See release notes for update information:
      https://docs.puppetlabs.com/puppet/3.7/reference/release_notes.html
    For a full list of bugs fixes see:
      https://tickets.puppetlabs.com/issues/?filter=12643
* Sun Aug 03 2014 tampakrap@opensuse.org
  - Add Supplements: packageand(vim,puppet), in order to trigger automatic
    installation for users of both packages. Suggested by dimstar
* Sat Jul 26 2014 tampakrap@opensuse.org
  - Split the vim syntax files to separate subpackage, puppet-vim
* Wed Jun 11 2014 darin@darins.net
  - Update to 3.6.2
    Security Fixes
    * CVE-2014-3248
      (Arbitrary Code Execution with Required Social Engineering)
    * CVE-2014-3253
      (Apache 2.4+ does not enforce CRL checks by default)
    * [PUP-2635] - user purge_ssh_keys not purged
    * [PUP-2639] - Increase environment_timeout default.
    * [PUP-2650] - 3.6.1 issues "warning" message for deprecation
    * [PUP-2659] - Puppet stops working with error 'Attempted to pop,
      but already at root of the context stack.'
    * [PUP-2660] - purging ssh_authorized_key fails because of missing user value
    * [PUP-2689] - A node can't always collect its own exported resources
    * [PUP-2692] - Puppet master passenger processes keep growing
    * [PUP-2705] - Regression with external facts pluginsync not preserving
      executable bit
* Tue May 27 2014 boris@steki.net
  - Puppet 3.6.1 is a bug fix release in the Puppet 3.6 series.
    It also makes the transaction_uuid more reliably available to extensions.
* Wed May 21 2014 darin@darins.net
  - Update to 3.6.0
    Bug Fixes
    * [PUP-530] - Installer for Puppet 3 does not check for hiera
    * [PUP-748] - PR (2067): Zypper provider install options - darix
    * [PUP-1041] - PR (2385) naginator not parsing blank parameters
    * [PUP-1114] - Deprecate environment configuration in puppet.conf
    * [PUP-1332] - "puppet resource service" fails on Ubuntu
    * [PUP-1547] - PR (2311) Undefined method `groups' for nil:NilClass
    * [PUP-1552] - V2.0 API reports Not Authorized as a "RUNTIME_ERROR"
    * [PUP-1585] - PR (2342) cron resources with target specified generate
      duplicate entries
    * [PUP-1586] - PR (2331) Cron Type sanity check for the command parameter
      is broken
    * [PUP-1624] - PR (2342) Cron handles crontab's equality of target
      and user strangely
    * [PUP-1749] - Puppet module tool does not work on Solaris
    * [PUP-1751] - PR (2383): Suse chkconfig --check boot.<service> always
      returns 1 whether the service is enabled/disabled. - m4ce
    Improvement
    * [PUP-485] - Add assert_type functions for type checks
    * [PUP-620] - (PR 2429) Add install_options to gem provider
    * [PUP-740] - Validator
    * [PUP-1174] - PR (2247) Ability to purge .ssh/authorized_keys
    * [PUP-1596] - Make modulepath, manifest, and config_version configurable
      per-environment
    * [PUP-1699] - Cache environments
    * [PUP-1769] - PR (2414) yum provider to support install_options
    * [PUP-1799] - New Function API
    For a full list of fixes and improvemtnts see:
    https://tickets.puppetlabs.com/secure/ReleaseNote.jspa?projectId=10102&version=11200
  - removed puppet-3.3.1-systemd-units.patch
* Wed May 21 2014 darin@darins.net
  - Set proper ownership permission on /var/{lib,log}/puppet
    directories.
* Fri Apr 25 2014 vdziewiecki@suse.com
  -Version update: 3.5.1 is a backward-compatible features and fixes release in the Puppet 3 series. It fixes the problems that 3.5.0 caused with dynamic environments and the yumrepo provider, as well as a couple of smaller bugs.
* Thu Apr 10 2014 mhrusecky@suse.cz
  - display update message about systemd service rename only when relevant
* Wed Apr 09 2014 mhrusecky@suse.cz
  - update to puppet 3.5.0, see
    * http://docs.puppetlabs.com/puppet/3/reference/release_notes.html
    * http://docs.puppetlabs.com/puppet/latest/reference/release_notes.html
  - replaced puppet-3.3.1-systemd-units.patch with puppet-3.5.0-systemd-units.patch
    * adopted to the latest version
  - drooped puppet-2.6.6-yumconf.diff
    * doesn't apply anymore and upstream reworked yum module quite extensively
    * AFAIK we don't use yum anywhere
  - require facter > 1.6.0 as upstream does
* Mon Apr 07 2014 mhrusecky@suse.cz
  - finish migration to systemd
  - drop puppet-3.0.2-client-init-masterport.patch as there is no init
    script anymore
  - drop useless sysconfig files and provide compatibility %post scripts
  - puppet user is needed only for server
  - use upstream service names (and warn users)
  - little bit polished upstream unit files
    * added puppet-3.3.1-systemd-units.patch
    * https://github.com/puppetlabs/puppet/pull/2510
* Thu Jan 02 2014 ben.kevan@gmail.com
  - removed patch puppet-3.0.2-init.patch, and replaced with
    puppet-3.0.2-client-init-masterport.patch because the original
    caused shutdown of puppet client on a puppetmaster to shutdown
    the puppet master.
* Thu Oct 24 2013 mrueckert@suse.de
  - refreshed puppet-2.6.6-yumconf.diff to make it apply cleanly
* Thu Oct 24 2013 mrueckert@suse.de
  - add puppetx to filelist
* Thu Oct 24 2013 mrueckert@suse.de
  - update to 3.3.1
    for details see /usr/share/doc/packages/puppet/ChangeLog
* Tue Sep 10 2013 darin@darins.net
  - more specificity in packaging the extensions
* Fri Sep 06 2013 darin@darins.net
  - Install puppet extension data from ext/
    - vim syntax and emacs-mode
    - openldap schema
    - rack config.ru and apache2.conf examples
* Mon Sep 02 2013 boris@steki.net
  - update to upstream version 3.2.4
  - Security update to 3.2.x series
    - CVE-2013-4761 (resource_type Remote Code Execution Vulnerability)
    - CVE-2013-4956 (Puppet Module Permissions Vulnerability)
* Sun Aug 04 2013 boris@steki.net
  - update to upstream version 3.2.3
  - Bugfix and performance release for Puppet 3.2 series
    - Bring back helpful error messages like prior to Puppet 3
    - tagmail triggers in âonetime mode without changes after
      upgrade from 3.1.1 to 3.2.1
    - Logging behaviour issues in 3.2.1
      This was a regression in 3.2.0/3.2.1
* Thu Jun 20 2013 boris@steki.net
  - update to upstream version 3.2.2
  - Fix for CVE-2013-3567, see bnc#825878
  - 3.2.2 is a security fix release of the Puppet 3.2 series.
    It has no other bug fixes or new features.
  - 3.2.0 (Not released version)
    - Experimental "Future" Parser With Iteration
    - Ruby 2.0 Support
    - OpenWRT OS Support
    - External CA Support
    - Better Profiling and Debugging of Slow Catalog Compilations
    - Splay Fixes for Puppet Agent
    - Cron Fixes
    - Module Tool Improvements
    - Hiera-Related Fixes
    - puppet:/// URIs Pointing to Symlinks Work Now
    - Puppet Apply Writes Data Files Now
* Wed Mar 20 2013 vdziewiecki@suse.com
  -Update to 3.1.1
  -This fixes a lot of CVEs, see bnc#809839
* Thu Mar 14 2013 schuetzm@gmx.net
  - The puppet agent unit file needs to take into account the settings
    from /etc/sysconfig/puppet.
* Mon Feb 25 2013 mlin@suse.com
  - Install puppet*.service accordingly (/usr/lib/systemd for 12.3
    and up or /lib/systemd for older versions).
* Sat Feb 16 2013 aboe76@gmail.com
  - Updated to Puppet 3.1.0 which is a feature release for the 3.x series of Puppet:
    * Improvements When Loading Ruby Code
    * YARD API Documentation
    * YAML Node Cache Restored on Master
    Other bugfixes and improvements:
    * The Solaris package manager now supports the `holdable` feature (aka
    "freezing") (#16120)
    * `managehome => true` now works on Oracle Enterprise Linux 6 (#18298)
    * `create_resources` can now create virtual and exported resources (#15081)
    * SRV record improvements for fileserving and certificate service
    (#18161, #18162)
* Fri Jan 18 2013 vdziewiecki@suse.com
  - Modify puppet-3.0.2-init.patch: Don't use lock file and pid file
    at all - bnc#714649
  - Do not use puppet-3.0.1-arg-err.patch and puppet-3.0.1-init.diff,
    since they have been upstreamed already.
* Fri Jan 11 2013 aeszter@gwdg.de
  - Add puppet-3.0.2-init.patch: fix lock file and pid file names
* Sat Jan 05 2013 boris@steki.net
  - Updated to latest upstream version 3.0.2
  - Bugfix release
    * Full list of bugs can be found at:
    https://projects.puppetlabs.com/versions/337
    Notable bugs:
  - Bug #15513: Resource type 'cron' fails with 'target' parameter
  - Bug #16178: Boolean false in a variable causes the puppet backend lookup to fail
  - Bug #17445: Race condition in logrotate config makes puppet agent crash.
  - Bug #17447: Puppet sysv init script faulty
  - Bug #17488: Puppet needlessly crashes when run unptivileged even with --noop
* Fri Dec 07 2012 aeszter@gwdg.de
  - Add puppet-3.0.1-arg-err.patch: fix
    http://projects.puppetlabs.com/issues/10963
* Wed Nov 21 2012 aeszter@gwdg.de
  - do not use /var/lock/subsys for puppetmaster
* Mon Nov 12 2012 boris@steki.net
  - revert back from ruby-shadow to rubygem-ruby-shadow as required
    by openSUSE ruby packaging policies
* Wed Oct 31 2012 boris@steki.net
  - changed requirement of package back from rubygem-ruby-shadow to
    more common named ruby-shadow
* Wed Oct 24 2012 aboe76@gmail.com
  - Updated requirements for package puppet to include rubygem-ruby-shadow
    This is needed to make puppet modules to change passwd file
* Tue Oct 23 2012 aboe76@gmail.com
  - Updated to 3.0.1
  - Updated puppet-3.0.1-init.diff so it functions with client.init from ext/suse/client.init
  - Fixed puppet.conf not in /ext/suse/ so got puppet.conf from
    ext/redhat/puppet.conf
    http://projects.puppetlabs.com/projects/1/wiki/Release_Notes#3.0.1
    - Bug #15717: puppet kick returns "Error: Could not find indirection 'run' / testip.example.com finished with exit code 2"
    - Bug #16585: Remove dead "ldapnodes" setting
    - Bug #16698: external node classifier script is not being called when storedconfigs is on
    - bug #16757: user cannot control loading of rubygems
    - Bug #16769: Apache "SSLOptions +ExportCertData" causes "header too long" error
    - Bug #16801: Puppet 3 debian init script has code using removed --servertype=mongrel option
    - Bug #16922: Could not intern from b64_zlib_yaml when fact value ends with a colon
    - Bug #17000: Puppet acceptance suite will get caught in a loop if agent fails to terminate for kick test
    - Refactor #16643: sample-module has hyphen in name which is only unofficially supported
* Wed Aug 29 2012 jatan@suse.de
  - Update to 2.7.19
    http://projects.puppetlabs.com/projects/1/wiki/Release_Notes#2.7.19
* Wed Jul 11 2012 vdziewiecki@suse.com
  -Update to 2.7.18
    CVEs fixed:
  -bnc#770828 - VUL-0: CVE-2012-3864: puppet: authenticated clients can read arbitrary files via a flaw in puppet master
  -bnc#770829 - VUL-0: CVE-2012-3865: puppet: arbitrary file delete / Denial of Service on Puppet Master by authenticated clients
  -bnc#770827 - VUL-1: CVE-2012-3866: puppet: last_run_report.yaml left world-readable
  -bnc#770833 - VUL-1: CVE-2012-3867: puppet: insufficient input validation for agent certificate names
* Tue Jul 03 2012 jatan@suse.de
  - update to 2.7.17
    * (maint) Add symlink stub to gentoo service provider spec
    * Add comment to upstart provider explaining exclusion of
      'wait-for-state'
    * Upstart code cleanup, init provider improvement
    * Add spec test for network-interface-security
    * Add basic service resource test to upstart acceptance
    * Handle network-interface-security in upstart
    * Add exclude list to upstart provider
    * (#15027, #15028, #15029) Fix upstart version parsing
    * (maint) Add --test to puppet run
* Tue Jul 03 2012 jatan@suse.de
  - Copy from devel:openSUSE:Factory
* Tue Jun 19 2012 boris@steki.net
  - update to upstream 2.7.16 version
    * Significantly improve compilation performance when using modules
    * Add Puppet::Util::Platform to abstract platform checks
    * Default autoflushing of log files to true
    * Add Module Tool
    * bugfix releases for all bugs please read
      /usr/share/doc/packages/puppet/CHANGELOG
* Thu Jun 14 2012 boris@steki.net
  - updated to new upstream 2.7.11 version
    * for bugfixes informations please look in
    /usr/share/doc/packages/puppet/CHANGELOG
* Wed Jun 13 2012 coolo@suse.com
  - no need for vendor-specific
* Tue Oct 25 2011 vcizek@suse.com
  - update to 2.7.6
    Security Fixes
      CVE-2011-3872 (AltNames vulnerability)
    Features and Enhancements
      User/group management on Windows
      Better file support on Windows
      Support plaintext password in Windows
    Bug Fixes
      Recognize more duplicate resources
      Allow multi-line exec resources
      Remove unnecessary deprecation warning in puppet resource
      Update pluginsync to only load ruby files.
* Thu Sep 29 2011 vcizek@suse.com
  - update to 2.7.4
    - enhancement + security release:
      fixed CVE-2011-3848
      (Resist directory traversal attacks through indirections)
      GigabitEthernet/TenGigabitEthernet are uncorrectly parsed
      Donât rely on error message to detect UAC capable platform
      Allow cron vars to have leading whitespace
* Thu Jun 23 2011 vcizek@novell.com
  - update to 2.7.1
    - a major feature release:
      Ruby 1.9 Support
      Deterministic Catalog Application
      Puppet Faces - a new API for creating new Puppet subcommands
      Manage Network Devices
      Dependency cycle reporting produces graph of the cycle
  - license changed to Apache-2.0
    - see http://docs.puppetlabs.com/guides/faq#change-to-apache-license
* Thu May 19 2011 vcizek@novell.com
  - using correct port for puppet in the firewall rules (bnc#694825)
* Tue Apr 05 2011 vcizek@novell.com
  - fix logging setting (bnc#683441)
* Mon Mar 14 2011 vcizek@novell.com
  - update to 2.6.6
    * fixed many bugs
    * licence has changed to GPLv2 (was GPLv2+)
    * some of the new features:
    - Manifests can now specify arbitrary data for file contents
    - Managed resource attributes can now be audited
    - Parameterised class support in external node classifiers
    - New puppet inspect application
* Fri Jan 28 2011 vcizek@novell.com
  - update to 2.6.4
    * bugfixes: bnc#667867
    Ship auth.conf as part of installing from source
* Tue Oct 05 2010 anicka@suse.cz
  - update to 2.6.1
    * bugfixes, manpage fixes
* Thu Aug 19 2010 anicka@suse.cz
  - update to 2.6.0
    * major release with many new configuration options and new
    language features
* Mon Aug 16 2010 anicka@suse.cz
  - respect sysconfig settings (bnc#620808)
* Tue Jul 20 2010 anicka@suse.cz
  - create puppet user not only for server package (bnc#623884)
* Tue Mar 02 2010 anicka@suse.cz
  - update to 0.25.4
    * bugfixes
  - create user puppet (fixes bnc#576453)
* Wed Apr 15 2009 mantel@suse.de
  - update to 0.24.8
* Mon Apr 06 2009 mantel@suse.de
  - add zypper.rb plugin by Leo Eraly

Files

/etc/puppet/unicorn.conf
/usr/lib/systemd/system/puppetmaster-unicorn.service
/usr/sbin/rcpuppetmaster-unicorn


Generated by rpm2html 1.8.1

Fabrice Bellet, Sat Jul 22 23:05:48 2017